---
lang: en
title: 'API docs: sequelize.loopbacksequelizecomponent._constructor_'
keywords: LoopBack 4.0, LoopBack 4, Node.js, TypeScript, OpenAPI
sidebar: lb4_sidebar
editurl: https://github.com/loopbackio/loopback-next/tree/master/extensions/sequelize
permalink: /doc/en/lb4/apidocs.sequelize.loopbacksequelizecomponent._constructor_.html
---

<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@loopback/sequelize](./sequelize.md) &gt; [LoopbackSequelizeComponent](./sequelize.loopbacksequelizecomponent.md) &gt; [(constructor)](./sequelize.loopbacksequelizecomponent._constructor_.md)

## LoopbackSequelizeComponent.(constructor)

Constructs a new instance of the `LoopbackSequelizeComponent` class

**Signature:**

```typescript
constructor(application: Application, options?: LoopbackSequelizeComponentOptions);
```

## Parameters

|  Parameter | Type | Description |
|  --- | --- | --- |
|  application | [Application](./core.application.md) |  |
|  options | [LoopbackSequelizeComponentOptions](./sequelize.loopbacksequelizecomponentoptions.md) | _(Optional)_ |


